StringLess Class Reference

Public class that encapsulates string comparison. More...

`#include <GenString.h>`

Collaboration diagram for StringLess:

## Public Member Functions

| StringLess (Char::eCompareType compareType=Char::eCASE_SENSITIVE)
StringLess & | operator= (const StringLess &in)
bool | operator() (const std::string &s1, const std::string &s2) const
Char::eCompareType | GetCompareType ()

## Detailed Description

Public class that encapsulates string comparison.

This class encapsulates string comparison. It supports the following compare types: case-sensitive, case-insensitive and as-integer.

## Constructor & Destructor Documentation

## StringLess()

StringLess::StringLess | ( | Char::eCompareType | compareType = `Char::eCASE_SENSITIVE` | ) |

## Member Function Documentation

## GetCompareType()

Char::eCompareType StringLess::GetCompareType | ( |  | ) |

inline

## operator()()

bool StringLess::operator() | ( | const std::string & | s1,
|  | const std::string & | s2
| ) |  | const

## operator=()

StringLess & StringLess::operator= | ( | const StringLess & | in | ) |

The documentation for this class was generated from the following file:

- rcsb/GenString.h